<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.BwjbyjdatailMapper">

    <resultMap id="bwjbyjdatailMap" type="com.tofly.watermeter.entity.Bwjbyjdatail">
        <id property="id" column="ID"/>
        <result property="bwLsbh" column="BW_LSBH"/>
        <result property="bwSbbh" column="BW_SBBH"/>
        <result property="bwSbcj" column="BW_SBCJ"/>
        <result property="bwSblx" column="BW_SBLX"/>
        <result property="bwSbkj" column="BW_SBKJ"/>
        <result property="bwYjyy" column="BW_YJYY"/>
        <result property="bwJsbm" column="BW_JSBM"/>
        <result property="bwJsry" column="BW_JSRY"/>
        <result property="bwYjrq" column="BW_YJRQ"/>
        <result property="bwSbzd" column="BW_SBZD"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createDate" column="CREATE_DATE"/>
        <result property="bwBz" column="BW_BZ"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"></association>
    </resultMap>


</mapper>
